# WOK
TKWOK
WOKUnix

# WOKUnix_StackOfDir Class Reference

`#include <WOKUnix_StackOfDir.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | WOKUnix_StackOfDir ()
Standard_EXPORT const WOKUnix_StackOfDir & | Assign (const WOKUnix_StackOfDir &Other)
const WOKUnix_StackOfDir & | operator= (const WOKUnix_StackOfDir &Other)
Standard_Boolean | IsEmpty () const
Standard_Integer | Depth () const
Standard_EXPORT const WOKUnix_Dir & | Top () const
Standard_EXPORT void | Push (const WOKUnix_Dir &I)
Standard_EXPORT void | Pop ()
Standard_EXPORT void | Clear ()
| ~WOKUnix_StackOfDir ()
Standard_EXPORT WOKUnix_Dir & | ChangeTop ()

## Private Member Functions

Standard_EXPORT | WOKUnix_StackOfDir (const WOKUnix_StackOfDir &Other)

## Private Attributes

Standard_Address | myTop
Standard_Integer | myDepth

## Constructor & Destructor Documentation

Standard_EXPORT WOKUnix_StackOfDir::WOKUnix_StackOfDir | ( |  | ) |

WOKUnix_StackOfDir::~WOKUnix_StackOfDir | ( |  | ) | `[inline]`

Standard_EXPORT WOKUnix_StackOfDir::WOKUnix_StackOfDir | ( | const WOKUnix_StackOfDir & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const WOKUnix_StackOfDir& WOKUnix_StackOfDir::Assign | ( | const WOKUnix_StackOfDir & | Other | ) |

Standard_EXPORT WOKUnix_Dir& WOKUnix_StackOfDir::ChangeTop | ( |  | ) |

Standard_EXPORT void WOKUnix_StackOfDir::Clear | ( |  | ) |

Standard_Integer WOKUnix_StackOfDir::Depth | ( |  | ) | const

Standard_Boolean WOKUnix_StackOfDir::IsEmpty | ( |  | ) | const

void WOKUnix_StackOfDir::operator delete | ( | void * | anAddress | ) | `[inline]`

void* WOKUnix_StackOfDir::operator new | ( | size_t | size | ) | `[inline]`

void* WOKUnix_StackOfDir::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

const WOKUnix_StackOfDir& WOKUnix_StackOfDir::operator= | ( | const WOKUnix_StackOfDir & | Other | ) | `[inline]`

Standard_EXPORT void WOKUnix_StackOfDir::Pop | ( |  | ) |

Standard_EXPORT void WOKUnix_StackOfDir::Push | ( | const WOKUnix_Dir & | I | ) |

Standard_EXPORT const WOKUnix_Dir& WOKUnix_StackOfDir::Top | ( |  | ) | const

## Field Documentation

Standard_Integer WOKUnix_StackOfDir::myDepth `[private]`

Standard_Address WOKUnix_StackOfDir::myTop `[private]`

The documentation for this class was generated from the following file:

- WOKUnix_StackOfDir.hxx